:root {
    --main-color: rgb(14 165 233);
    --main-back: rgb(30 41 59);
    --second-color: rgb(209 213 219);
    --shadow: 2px 2px 10px dodgerblue;
}
html {
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
}
body {
    background-color: var(--main-back);
    font-family: sans-serif;
}
.container {
    padding: 0 10px;
}

/* Small */
@media (min-width: 768px) {
    .container {
        width: 750px;
        margin: 0 auto;
    }
}
/* Medium */
@media (min-width: 992px) {
    .container {
        width: 970px;
        margin: 0 auto;
    }
}
/* Large */
@media (min-width: 1200px) {
    .container {
        width: 1170px;
        margin: 0 auto;
    }
}
.title {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    margin-bottom: 20px;
}
.title h2 {
    letter-spacing: -5px;
    margin-left: 10px;
    color: var(--second-color);
}
.title i {
    font-size: 40px;
    color: var(--second-color);
}
ul {
    list-style: none;
}

a {
    text-decoration: none;
}

.dot {
    position: absolute;
    z-index: -1;
}

.line {
    position: fixed;
    left: 0;
    top: 0;
    height: 5px;
    width: 0%;
    background-color: var(--main-color);
    box-shadow: var(--shadow);
    z-index: 99999;
}

.links {
    position: fixed;
    right: 20px;
    top: 30%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 99999;
}

.links li a {
    display: block;
    color: var(--main-color);
    text-decoration: none;
    padding: 8px 0;
    
}
.links li a i {
    font-size: 25px;    
}

span {
    color: var(--main-color);
}

.hide {
    width: 60% !important;
}

/* Start Header */
header {
    position: absolute;
    width: 100%;
    z-index: 9999;
    
}
@media (max-width: 776px) {
    header {
        background-color: rgba(30, 41, 59, 0.707);
        position: relative;
    }
}
header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
header .logo h2 {
    color: var(--second-color);
    font-weight: bold;
    font-family: monospace;
}
header .nav > i {
    color: white;
    font-size: 30px;
    cursor: pointer;
    transition: .5s;
}

@media (min-width: 776px) {
    header .nav i {
        display: none;
    }
}

header .nav ul {
    display: flex;
    justify-content: center;
    align-content: center;
    transition: .5s;
}
@media (max-width: 776px) {
    header .nav ul {
        flex-direction: column;
        background-color: rgba(30, 41, 59, 0.707);
        justify-content: flex-start;
        padding: 0;
        width: 0%;
        position: fixed;
        right: 0;
        top: 40px;
        z-index: 99999;
    }
    header .nav ul li a {
        margin-bottom: 10px;
        padding: 20px;
    }
    header .nav ul li:hover {
        border-bottom: 2px solid var(--main-color);
    }
}
header ul li a {
    padding: 0 8px;
    display: block;
    color: var(--second-color);
    font-weight: bold;
    transition: .5s;
}
header ul li a:hover {
    
    color: var(--main-color);
}
/* End Header */

/* Start Hero  */
.hero {
    background-image: url(../images/wp.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    position: relative; 
    height: 100vh;
    z-index: 1;
}
.hero .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100vh;
}

@media (max-width: 776px) {
    .hero .container {
        flex-direction: column;
        justify-content: center;
    }
}
.hero::after {
    content: '';
    width: 100%;height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: -1;
    position: absolute;
    left: 0; top: 0;
}
.hero .content {
    color: var(--second-color);
}
@media (max-width: 776px) {
    .hero .content  {
        margin-bottom: 30px;
        text-align: center;
    }
}

@media (max-width: 992px) {
    .hero .content h2,
    .hero .content .element {
        font-size: 40px !important;
    }
}

.hero .content h2 {
    margin: 0;
    font-weight: bold;
    font-size: 50px;
    letter-spacing: 2px;
}

.hero .content .element {
    margin-top: 5px;
    font-weight: bold;
    color: var();
    font-size: 50px;
}

.hero .content span {
    color: var(--main-color);
}

.hero .photo img {
    width: 600px;
}

@media (max-width: 992px) {
    .hero .photo img {
        width: 500px !important;
    }
}

@media (max-width: 776px) {
    .hero .photo img {
        top: -60px !important;
        max-width: 100% !important;
    }  
}

.hero .photo img {
    animation: tik-tok 5s linear infinite;
    position: relative;
    top: -100px;
}

.hero .arrow {
    position: absolute;
    bottom: 5%;
    left: 50%;
    transform: translateX(-50px);
    cursor: pointer;
    animation: updown-arrow 1s linear infinite;
}

.hero .arrow i {
    font-size: 25px;
    color: var(--main-color);
}
@keyframes tik-tok {
    0% ,100% {
        transform: translatey(0)
    }
    50% {
        transform: translatey(20%)
    }
}

@keyframes updown-arrow {
    0% ,100% {
        transform: translatey(0)
    }
    50% {
        transform: translatey(40%)
    }
}

/* End Hero  */
/* Start About  */

.about {
    padding-top: 50px;
    padding-bottom: 80px;
    position: relative;
    overflow: hidden;
}
.about .dots {
    right: -110px;
    top: -110px;
}
.about .dots2 {
    left: -110px;
    bottom: -110px;
}
.about .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
}
@media (max-width: 776px) {
    .about .container {
        flex-direction: column;
        text-align: center;
    }
}
.about .container .about-img {
    position: relative;
    width:350px;
}
.about .container .about-img > img {
    width: 350px;
    border-radius: 5px;
    box-shadow: -2px 2px 10px rgba(0, 0, 0, 0.524);
}
.about .container .about-me {
    color: var(--second-color);
    margin-bottom: 20px;
}
.about .container .about-me h2,
.about .container .about-me p {
    margin:0;
    font-weight: bold;
}
.about .container .about-me h2 {
    font-size: 30px;
}
.about .container .content  > p {
    color: rgb(107 114 128);
    line-height: 1.5;
}


/* End About  */

/* Start Skills */

.skills {
    margin-top: 90px;
    padding-bottom: 80px;
    background-image: linear-gradient(to left, #0058d3, #0056bd, #0052a5, #004c8d, #004674);
}
.skills .title span {
    color: var(--main-back);
}
.skills .container {
   display: grid;
   grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
   gap: 20px;
   row-gap: 40px;
   padding: 20px;
   text-align: center;
   color: white;
   background-color: rgb(30 41 59);
   border-radius: 5px;
   min-height: 200px;
   box-shadow: -2px 2px 8px var(--main-back);
}
@media (max-width: 776px) {
    .skills .container {
        row-gap: 0;
        grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));

    }
}


.skills .container .box i {
    display: block;
    font-size: 50px;
    transition: .5s;
}
.skills .container .box:hover i {
    transform: scale(1.5);
}

/* End Skills */
/* Start Works  */
.works {
    margin-top: 80px;
    padding-bottom: 80px;
    overflow: hidden;
}
.works .dots {
    left: -100px;
    bottom: -50px;
}
.works .dots2 {
    right: -100px;
    top: -50px;
}
.works .container {
    display: grid;
   grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
   gap: 20px;
   position: relative;
}

.works .container .work-box {
    position: relative;
    overflow: hidden;
    transition: .5s;
    border: 1px solid var(--main-back);
    text-align: center;
}


.works .container .work-box:hover {
    transform: scale(1.1);
}

@media (max-width: 776px) { 
    .works .container .work-box:hover {
        transform: scale(1);
    }
    .works .container .work-box {
        width: auto;
    }
}

.works .container .work-box:hover .content{
    left: 0;
}
.works .container .work-box img {
    width: 100%;
    border-radius: 5px;
    height: 300px !important;
    object-fit: cover;
}


.works .container .work-box .content {
    position: absolute;
    top: 0px;
    transition: .5s;
    left: -100%;
    width: 100%;
    height: calc(100% - 5px);
    background: #0757a5ab;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--second-color);
    font-family: monospace;
    border-radius: 5px;
}

.works .container .work-box .content h2 {
    margin: 0;
    margin-bottom: 10px;
}
.works .container .work-box .content i {
    font-size: 35px;
    margin: 0;
}
.works .container .work-box .content p {
    text-transform: uppercase;
    letter-spacing: -1.5px;
}

/* End Works  */
/* Start Contact */
.contact {
    
    background-image: url(../images/contact-img.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    position: relative; 
    height: 100vh;
    z-index: 1;
}
@media (max-width: 776px) {
    .contact { 
        height: auto;
        
    }
}
.contact .title i {
    color: var(--second-color);
}
.contact .title h2 {
    color: var(--second-color);
}

.contact .container .content{
    display: flex;
    width: 70%;
    margin: 0 auto;
    border-radius: 5px;
    background-color: rgba(30, 41, 59, 0.57);
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.524);
}
@media (max-width: 776px) {
    .contact .container .content{ 
        width: 100%;
        flex-direction: column;
    }
}
.contact .container .content > div {
    width: 40%;
    display: flex;
    flex-direction: column;
    padding: 0 10px;
    color: white;
    border-radius: 5px;
}
@media (max-width: 776px) {
    .contact .container .content > div,
    .contact .container form { 
        width: 100% !important;
    }
}
.contact .container .content > div h2 {
    margin-bottom: 8px;
    font-size: 30px;
}
.contact .container .content > div > p {
    color: rgb(107 114 128);
    line-height: 1.2;
}
.contact .container .content > div .cont-box {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}
.contact .container .content > div .cont-box i {
    padding: 10px;
    background-color: transparent;
    font-size: 15px;
    margin-right: 10px;
    color: var(--second-color);
    border-radius: 50%;
    border: 1px solid rgb(107 114 128)
}
.contact .container form {
    padding: 20px;
    width: 60%;
}
.contact .container form .box-contact{
    display: flex;
    flex-direction: column;
}
.contact .container form .box-contact label {
    margin-bottom: 8px;
    color: var(--second-color);
    font-weight: bold;
}
.contact .container form .box-contact input,
.contact .container form textarea {
    background-color: var(--second-color);
    border: none;
    margin-bottom: 30px;
    border-bottom: 1px solid rgba(238, 238, 238, 0.396);
    padding: 8px;
    border-radius: 5px;
    width: 100%;
}

.contact .container form .box-contact input:focus,
.contact .container form textarea:focus {
    outline: none;
    box-shadow: var(--shadow);
}
.contact .container form textarea {
    height: 150px;
}
.contact .container form > input {
    background-color: var(--main-color);
    font-weight: bold;
    padding: 10px 15px;
    width: 150px;
    border: none;
    border-radius: 5px;
    transition: .5s;
    color: white;
    margin-top: 8px;
    cursor: pointer;
    transition: .5s;
    display: block;
}
@media (max-width: 776px) {
    .contact .container form  > input{ 
        margin: 8px auto;
    }
}
.contact .container form > input:hover {
    background-color: rgb(0, 104, 209);
    transform: scale(0.98);
}
/* End Contact */
/* Start Footer  */
.footer {
    padding-top: 20px;
    padding-bottom: 10px;
}
.footer .container .foot {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 10px;
    color: var(--second-color);
    align-items: flex-start;
}
@media (max-width: 776px) {
    .footer .container { 
        text-align: center;
    }
}
.footer .container  h3 {
    font-size: 25px;
    font-weight: bold;
    margin-bottom: 8px;
    margin-left: 10px;
}
.footer .container .content p:first-of-type {
    font-size: 18px;
    line-height: 1.2;
}
.footer .container .quick-links {
    margin-left: 20px;
}
@media (max-width: 776px) {
    .footer .container .quick-links{ 
        margin: 0 auto
    }
}
.footer .container .quick-links ul {
    padding: 0;
    display: flex;
    gap: 10px;
}

@media (max-width: 776px) {
    .footer .container .quick-links ul{ 
        gap: 0;
    }
}
.footer .container .quick-links ul > div {
    margin-bottom: 10px;
    padding: 10px;
}
.footer .container .quick-links ul > div:first-of-type li:last-child {
    position: relative;
    left: 65%;
}
.footer .container .quick-links ul li{
    margin-bottom: 15px;
}
.footer .container .quick-links ul li a {
    color: var(--second-color);
    transition: .5s;
}
.footer .container .quick-links ul li a:hover {
    color: var(--main-color);
}
.footer .container .quick-links ul li i {
    margin-right: 10px;
    font-size: 18px;
    position: relative;
    top: 3px;
    animation: moveback 1s 1s linear infinite;
}
.footer .container .contact-info ul {
    display: flex;
    padding: 0;
}
@media (max-width: 776px ) {
    .footer .container .contact-info ul {
        justify-content: center;
    }
    .footer .container .contact-info h3 {
        margin-top: 0;
    }
}
.footer .container .contact-info ul li a {
    color: var(--second-color);
    padding: 10px;
    margin-right: 20px;
    border-radius: 50%;
}
@media (max-width: 776px ) {
    .footer .container .contact-info ul a{
        padding: 0 !important;
    }
    .footer .container .contact-info ul li a i {
        left: 10px !important;
    }
}
.footer .container .contact-info ul li a:hover i{
    color: var(--main-color);
}

.footer .container .contact-info ul li a i {
    font-size: 30px;
    position: relative;
    left: -25px;
    box-shadow: 0px 8px 16px rgb(0 0 0 / 50%);
    border-radius: 50%;
    transition: .5s;
}
.rights {
    border-top: 1px solid rgba(238, 238, 238, 0.424);
    width: 100%;
    padding-top: 15px;
    padding-bottom: 8px;
    text-align: center;
    color: var(--second-color);
    font-weight: bold;
}
.rights i {
    color: var(--main-color);
    animation: getback 1s linear infinite;
}
@keyframes moveback {
    0% ,100% {
        transform: translatex(0)
    }
    50% {
        transform: translatex(40%)
    }
}

@keyframes getback {
    0% ,100% {
        transform: scale(1)
    }
    50% {
        transform: scale(1.2)
    }
}
/* End Footer  */

